Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFont.StyleStrategy

    java.lang.Object
      java.lang.Enum<QFont.StyleStrategy>
          com.trolltech.qt.gui.QFont.StyleStrategy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFont.StyleStrategy>

Enclosing class:
  QFont

    public static enum QFont.StyleStrategy

extends java.lang.Enum<QFont.StyleStrategy>
implements QtEnumerator

The style strategy tells the font matching algorithm what type of fonts should be used to find an appropriate default family.

The following strategies are available:

Constant | Value | Description
--- | --- | ---
`PreferDefault` | `1` | the default style strategy. It does not prefer any type of font.
`PreferBitmap` | `2` | prefers bitmap fonts (as opposed to outline fonts).
`PreferDevice` | `4` | prefers device fonts.
`PreferOutline` | `8` | prefers outline fonts (as opposed to bitmap fonts).
`ForceOutline` | `16` | forces the use of outline fonts.
`NoAntialias` | `256` | don't antialias the fonts.
`PreferAntialias` | `128` | antialias if possible.
`OpenGLCompatible` | `512` | forces the use of OpenGL compatible fonts.
`NoFontMerging` | `32768` | If a font does not contain a character requested to draw then Qt automatically chooses a similar looking for that contains the character. This flag disables this feature.

Any of these may be OR-ed with one of these flags:

Constant | Value | Description
--- | --- | ---
`PreferMatch` | `32` | prefer an exact match. The font matcher will try to use the exact font size that has been specified.
`PreferQuality` | `64` | prefer the best quality font. The font matcher will use the nearest standard point size that the font supports.

Enum Constant Summary
`ForceOutline` forces the use of outline fonts.
`NoAntialias` don't antialias the fonts.
`NoFontMerging` If a font does not contain a character requested to draw then Qt automatically chooses a similar looking for that contains the character.
`OpenGLCompatible` forces the use of OpenGL compatible fonts.
`PreferAntialias` antialias if possible.
`PreferBitmap` prefers bitmap fonts (as opposed to outline fonts).
`PreferDefault` the default style strategy.
`PreferDevice` prefers device fonts.
`PreferMatch` prefer an exact match.
`PreferOutline` prefers outline fonts (as opposed to bitmap fonts).
`PreferQuality` prefer the best quality font.

Method Summary
`static QFont.StyleStrategy` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFont.StyleStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFont.StyleStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PreferDefault

    public static final QFont.StyleStrategy PreferDefault

  the default style strategy. It does not prefer any type of font.

### PreferBitmap

    public static final QFont.StyleStrategy PreferBitmap

  prefers bitmap fonts (as opposed to outline fonts).

### PreferDevice

    public static final QFont.StyleStrategy PreferDevice

  prefers device fonts.

### PreferOutline

    public static final QFont.StyleStrategy PreferOutline

  prefers outline fonts (as opposed to bitmap fonts).

### ForceOutline

    public static final QFont.StyleStrategy ForceOutline

  forces the use of outline fonts.

### PreferMatch

    public static final QFont.StyleStrategy PreferMatch

  prefer an exact match. The font matcher will try to use the exact font size that has been specified.

### PreferQuality

    public static final QFont.StyleStrategy PreferQuality

  prefer the best quality font. The font matcher will use the nearest standard point size that the font supports.

### PreferAntialias

    public static final QFont.StyleStrategy PreferAntialias

  antialias if possible.

### NoAntialias

    public static final QFont.StyleStrategy NoAntialias

  don't antialias the fonts.

### OpenGLCompatible

    public static final QFont.StyleStrategy OpenGLCompatible

  forces the use of OpenGL compatible fonts.

### NoFontMerging

    public static final QFont.StyleStrategy NoFontMerging

  If a font does not contain a character requested to draw then Qt automatically chooses a similar looking for that contains the character. This flag disables this feature.

Method Detail

### values

    public static final QFont.StyleStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFont.StyleStrategy c : QFont.StyleStrategy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFont.StyleStrategy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFont.StyleStrategy resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD